SDL_GetFullscreenDisplayModes(3)

NAME
SDL_GetFullscreenDisplayModes - Get a list of fullscreen display modes available on a display.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_DisplayMode ** SDL_GetFullscreenDisplayModes(SDL_DisplayID displayID, int *count);

DESCRIPTION
The display modes are sorted in this priority:

• w -> largest to smallest

• h -> largest to smallest

• bits per pixel -> more colors to fewer colors

• packed pixel layout -> largest to smallest

• refresh rate -> highest to lowest

• pixel density -> lowest to highest

FUNCTION PARAMETERS

displayID
    the instance ID of the display to query.

count
    a pointer filled in with the number of display modes returned, may be NULL.

RETURN VALUE
( SDL_DisplayMode ) Returns a NULL terminated array of display mode pointers or NULL on failure; call

SDL_GetError () for more information. This is a single allocation that should be freed with SDL_free () when it is no longer needed.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetDisplays(3)